<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>utils</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<h1 class="toc">Module utils</h1>
<hr />
  <h2 class="toc">Classes</h2>
    <a target="mainFrame" href="screenlets.utils.FileMonitor-class.html"
     >FileMonitor</a><br />    <a target="mainFrame" href="screenlets.utils.IniReader-class.html"
     >IniReader</a><br />    <a target="mainFrame" href="screenlets.utils.Notifier-class.html"
     >Notifier</a><br />    <a target="mainFrame" href="screenlets.utils.ScreenletInfo-class.html"
     >ScreenletInfo</a><br />  <h2 class="toc">Functions</h2>
    <a target="mainFrame" href="screenlets.utils-module.html#LoadBookmarks"
     >LoadBookmarks</a><br />    <a target="mainFrame" href="screenlets.utils-module.html#LoadPlaces"
     >LoadPlaces</a><br />    <a target="mainFrame" href="screenlets.utils-module.html#_"
     >_</a><br />  <div class="private">
    <a target="mainFrame" href="screenlets.utils-module.html#_contains_path"
     >_contains_path</a><br />  </div>
    <a target="mainFrame" href="screenlets.utils-module.html#containsAll"
     >containsAll</a><br />    <a target="mainFrame" href="screenlets.utils-module.html#containsAny"
     >containsAny</a><br />    <a target="mainFrame" href="screenlets.utils-module.html#create_autostarter"
     >create_autostarter</a><br />    <a target="mainFrame" href="screenlets.utils-module.html#create_user_dir"
     >create_user_dir</a><br />    <a target="mainFrame" href="screenlets.utils-module.html#delete_autostarter"
     >delete_autostarter</a><br />    <a target="mainFrame" href="screenlets.utils-module.html#find_first_screenlet_path"
     >find_first_screenlet_path</a><br />    <a target="mainFrame" href="screenlets.utils-module.html#getBetween"
     >getBetween</a><br />    <a target="mainFrame" href="screenlets.utils-module.html#get_autostart_dir"
     >get_autostart_dir</a><br />    <a target="mainFrame" href="screenlets.utils-module.html#get_daemon_iface"
     >get_daemon_iface</a><br />    <a target="mainFrame" href="screenlets.utils-module.html#get_desktop_dir"
     >get_desktop_dir</a><br />    <a target="mainFrame" href="screenlets.utils-module.html#get_filename_on_drop"
     >get_filename_on_drop</a><br />    <a target="mainFrame" href="screenlets.utils-module.html#get_screenlet_icon"
     >get_screenlet_icon</a><br />    <a target="mainFrame" href="screenlets.utils-module.html#get_screenlet_metadata"
     >get_screenlet_metadata</a><br />    <a target="mainFrame" href="screenlets.utils-module.html#get_screenlet_process"
     >get_screenlet_process</a><br />    <a target="mainFrame" href="screenlets.utils-module.html#get_user_dir"
     >get_user_dir</a><br />    <a target="mainFrame" href="screenlets.utils-module.html#is_manager_running_me"
     >is_manager_running_me</a><br />    <a target="mainFrame" href="screenlets.utils-module.html#launch_screenlet"
     >launch_screenlet</a><br />    <a target="mainFrame" href="screenlets.utils-module.html#list_available_screenlets"
     >list_available_screenlets</a><br />    <a target="mainFrame" href="screenlets.utils-module.html#list_running_screenlets"
     >list_running_screenlets</a><br />    <a target="mainFrame" href="screenlets.utils-module.html#list_running_screenlets2"
     >list_running_screenlets2</a><br />    <a target="mainFrame" href="screenlets.utils-module.html#lookup_daemon_autostart"
     >lookup_daemon_autostart</a><br />    <a target="mainFrame" href="screenlets.utils-module.html#quit_all_screenlets"
     >quit_all_screenlets</a><br />    <a target="mainFrame" href="screenlets.utils-module.html#quit_screenlet_by_name"
     >quit_screenlet_by_name</a><br />    <a target="mainFrame" href="screenlets.utils-module.html#readMountFile"
     >readMountFile</a><br />    <a target="mainFrame" href="screenlets.utils-module.html#read_file"
     >read_file</a><br />    <a target="mainFrame" href="screenlets.utils-module.html#restart_all_screenlets"
     >restart_all_screenlets</a><br />    <a target="mainFrame" href="screenlets.utils-module.html#strip_html"
     >strip_html</a><br />    <a target="mainFrame" href="screenlets.utils-module.html#xdg_open"
     >xdg_open</a><br />  <h2 class="toc">Variables</h2>
    <a target="mainFrame" href="screenlets.utils-module.html#DIR_AUTOSTART"
     >DIR_AUTOSTART</a><br />    <a target="mainFrame" href="screenlets.utils-module.html#DIR_USER"
     >DIR_USER</a><br />    <a target="mainFrame" href="screenlets.utils-module.html#USER"
     >USER</a><br /><hr />
<span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie()
  // -->
</script>
  
</body>
</html>
